Doomsday Engine - Feature #2035

Feature # 2033 (Progressed): Runtime map editor

Map lighting editor (volume, surface, and point sources)
2015-05-05 10:22 - skyjake

Status: New Start date: 2015-05-05
Priority: Normal % Done: 0%
Assignee:

Category: Redesign

Target version: Modding

Description

Rethinking and extending the old bias light editor (bledit), the map editor should include a mode for editing the lighting of a map.

e Volume lighting is the traditional sector-based lights.

e Surface lighting is where planes and walls can emit light (e.g., sky ceilings, glowing lava).

¢ Point lighting is for the (semi)static vertex-based lighting ("bias lights"), dynamic light sources, and other light sources suitable
for shadow mapping.

Related issues:
Related to Feature #2197: Remove the 'Bias' volumetric lighting system and th... Closed 2017-02-06

History

#1 - 2017-02-06 14:14 - skyjake
- Related to Feature #2197: Remove the 'Bias' volumetric lighting system and the Bias light source editor ("bledit") added

#2 - 2019-11-29 21:59 - skyjake

- Target version set to Modding
